# GLM: glm::core::function Namespace Reference

# glm::core::function Namespace Reference

Some of the functions defined in section 8 Built-in Functions of GLSL 1.30.8 specification. More...

## Namespaces

namespace | common

| Define common functions from Section 8.3 of GLSL 1.30.8 specification. Included in glm namespace.
namespace | exponential

| Define all exponential functions from Section 8.2 of GLSL 1.30.8 specification. Included in glm namespace.
namespace | geometric

| Define all geometric functions from Section 8.4 of GLSL 1.30.8 specification. Included in glm namespace.
namespace | matrix

| Define all matrix functions from Section 8.5 of GLSL 1.30.8 specification. Included in glm namespace.
namespace | trigonometric

| Define Angle and trigonometry functions from Section 8.1 of GLSL 1.30.8 specification.
namespace | vector_relational

| Define vector relational functions from Section 8.3 of GLSL 1.30.8 specification. Included in glm namespace.

## Detailed Description

Some of the functions defined in section 8 Built-in Functions of GLSL 1.30.8 specification.

Angle and trigonometry, exponential, common, geometric, matrix and vector relational functions.